<%--
Look for the code that controls this form in the default.aspx.cs file! 
This file contains the HTML template. (Which you will also need to modify.)			
--%>
<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="false" Inherits="shipping_starter.Default" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>Shipping Application</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="style.css" type="text/css" rel="Stylesheet" title="default">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<h2>Shipping Application</h2>
			<%--
			There are several inputs near the top of the file so the user can control the form.			
			--%>
			<div>
				<h4>Show All Packages</h4>
				<asp:button id="showAllButton" onclick="ShowAll" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Packages Due To Arrive Today</h4>
				<asp:button id="showDueTodayButton" onclick="ShowDueToday" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Packages That Weigh At Least X Items</h4>
				<asp:placeholder runat="server" id="showByWeightError" visible="False">
					<strong>Error: Input must be an integer<br>
					</strong>
				</asp:placeholder>
				<asp:textbox id="showByWeightTextBox" runat="server"></asp:textbox>
				<asp:button id="showByWeightButton" onclick="ShowByWeight" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Show Vendor Details</h4>
				<asp:dropdownlist id="showVendorDropDown" runat="server">
					<asp:listitem value="1">DHL</asp:listitem>
					<asp:listitem value="2">FedEx</asp:listitem>
					<asp:listitem value="3">UPS</asp:listitem>
					<asp:listitem value="4">USPS</asp:listitem>
				</asp:dropdownlist>
				<asp:button id="showVendorButton" onclick="ShowVendor" runat="server" text="Go"></asp:button>
			</div>
			<div>
				<h4>Calculate Shipping Options</h4>
				<asp:placeholder runat="server" id="calculateShippingError" visible="False">
					<strong>Error: All inputs must be a integers<br>
					</strong>
				</asp:placeholder>
				distance:<asp:textbox id="distance" runat="server"></asp:textbox>
				weight:<asp:textbox id="weight" runat="server"></asp:textbox>
				items:<asp:textbox id="items" runat="server"></asp:textbox>
				<asp:button id="calculateShippingButton" onclick="CalculateShipping" runat="server" text="Go"></asp:button>
			</div>
			<%--
			The repeater control provides an easy way to display sets of data.  You may find that the 
			DataList or DataGrid controls are intially easier to use, but they are much more restricting
			and quickly become impractical.
			--%>
			<asp:repeater runat="server" id="results">
				<headertemplate>
					<h2>Results:</h2>
					<table width="100%">
						<tr>
							<th>
								Vendor</th>
							<th>
								Method</th>
							<th>
								Tracking Number</th>
							<th>
								Pickup</th>
							<th>
								Delivery</th>
							<th>
								Status</th>
							<th>
								Weight</th>
							<th>
								Items</th>
							<th>
								Details</th>
						</tr>
				</headertemplate>
				<itemtemplate>
					<tr>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><%# /* ! */ %></td>
						<td><a href='package.aspx?package=<%# /* packge id */ %>'>[Details]</a></td>
					</tr>
				</itemtemplate>
				<footertemplate>
					</table>
				</footertemplate>
			</asp:repeater>
		</form>
	</body>
</html>
